import Home from '../views/Home/Home.vue'
/* 档案信息 */
import firmInfo from '@/views/fileInfo/firmInfo.vue'
import pastureInfo from '@/views/fileInfo/pastureInfo.vue'
import areaInfo from '@/views/fileInfo/areaInfo.vue'
import workerInfo from '@/views/fileInfo/workerInfo.vue'

/* 繁殖管理 */
import seedSheepFile from '@/views/breed/seedSheepFile.vue'
import commoditySheepFile from '@/views/breed/commoditySheepFile.vue'
import collectSeedLog from '@/views/breed/collectSeedLog.vue'
import matingSuccLog from '@/views/breed/matingSuccLog.vue'
import matingLog from '@/views/breed/matingLog.vue'
import pregnancyTestLog from '@/views/breed/pregnancyTestLog.vue'
import parturitionLog from '@/views/breed/parturitionLog.vue'
import weaningLog from '@/views/breed/weaningLog.vue'
import offFieldLog from '@/views/breed/offFieldLog.vue'
import shiftFieldLog from '@/views/breed/shiftFieldLog.vue'

/* 防疫管理 */
import immuneProce from '@/views/antiepidemic/immuneProce.vue'
import immunePlan from '@/views/antiepidemic/immunePlan.vue'
import immuneLog from '@/views/antiepidemic/immuneLog.vue'
import illnessLog from '@/views/antiepidemic/illnessLog.vue'

/* 生产管理 */
import batch from '@/views/production/batch.vue'
import productionWarn from '@/views/production/productionWarn.vue'
import shiftField from '@/views/production/shiftField.vue'
import dieWeedOut from '@/views/production/dieWeedOut.vue'
import earTag from '@/views/production/earTag.vue'
import examiningReport from '@/views/production/examiningReport.vue'

/* 无害化管理 */
import harmlessConfirm from '@/views/harmless/harmlessConfirm.vue'
import intelligentHint from '@/views/harmless/intelligentHint.vue'

/* 物料管理 */
import basicsInfo from '@/views/material/basicsInfo.vue'
import materialInStore from '@/views/material/materialInStore.vue'
import materialOutStore from '@/views/material/materialOutStore.vue'
import storeList from '@/views/material/storeList.vue'

/* 育种管理 */
import gradeAssess from '@/views/cultivateSeed/gradeAssess.vue'
import virtualMating from '@/views/cultivateSeed/sub/virtualMating.vue'
import clan from '@/views/cultivateSeed/sub/clan.vue'

/* 设备管理 */
import environmentMonitoring from '@/views/device/environmentMonitoring.vue'
import video from '@/views/device/video.vue'
import deviceFault from '@/views/device/deviceFault.vue'

/* 统计分析 */
import existSstatistic from '@/views/statisticAnalysis/existSstatistic.vue'
import productData from '@/views/statisticAnalysis/productData.vue'

/* 销售管理 */
import sellLog from '@/views/sell/sellLog.vue'


export default [
	{
		path: '/home',
		component: Home,
		children: [
			/* 档案信息 */
			{
				path: 'firmInfo',
				name: 'firmInfo',
				component: firmInfo
			},
			{
				path: 'pastureInfo',
				name: 'pastureInfo',
				component: pastureInfo
			},
			{
				path: 'areaInfo',
				name: 'areaInfo',
				component: areaInfo
			},
			{
				path: 'workerInfo',
				name: 'workerInfo',
				component: workerInfo
			},
			/* 繁殖管理 */
			{
				path: 'seedSheepFile',
				name: 'seedSheepFile',
				component: seedSheepFile
			},
			{
				path: 'commoditySheepFile',
				name: 'commoditySheepFile',
				component: commoditySheepFile
			},
			{
				path: 'collectSeedLog',
				name: 'collectSeedLog',
				component: collectSeedLog
			},
			{
				path: 'matingSuccLog',
				name: 'matingSuccLog',
				component: matingSuccLog
			},
			{
				path: 'matingLog',
				name: 'matingLog',
				component: matingLog
			},
			{
				path: 'pregnancyTestLog',
				name: 'pregnancyTestLog',
				component: pregnancyTestLog
			},
			{
				path: 'parturitionLog',
				name: 'parturitionLog',
				component: parturitionLog
			},
			{
				path: 'weaningLog',
				name: 'weaningLog',
				component: weaningLog
			},
			{
				path: 'offFieldLog',
				name: 'offFieldLog',
				component: offFieldLog
			},
			{
				path: 'shiftFieldLog',
				name: 'shiftFieldLog',
				component: shiftFieldLog
			},
			/* 防疫管理 */
			{
				path: 'immuneProce',
				name: 'immuneProce',
				component: immuneProce
			},
			{
				path: 'immunePlan',
				name: 'immunePlan',
				component: immunePlan
			},
			{
				path: 'immuneLog',
				name: 'immuneLog',
				component: immuneLog
			},
			{
				path: 'illnessLog',
				name: 'illnessLog',
				component: illnessLog
			},
			/* 生产管理 */
			{
				path: 'batch',
				name: 'batch',
				component: batch
			},
			{
				path: 'productionWarn',
				name: 'productionWarn',
				component: productionWarn
			},
			{
				path: 'shiftField',
				name: 'shiftField',
				component: shiftField
			},
			{
				path: 'dieWeedOut',
				name: 'dieWeedOut',
				component: dieWeedOut
			},
			{
				path: 'earTag',
				name: 'earTag',
				component: earTag
			},
			{
				path: 'examiningReport',
				name: 'examiningReport',
				component: examiningReport
			},
			/* 无害化管理 */
			{
				path: 'harmlessConfirm',
				name: 'harmlessConfirm',
				component: harmlessConfirm
			},
			{
				path: 'intelligentHint',
				name: 'intelligentHint',
				component: intelligentHint
			},
			/* 物料管理 */
			{
				path: 'basicsInfo',
				name: 'basicsInfo',
				component: basicsInfo
			},
			{
				path: 'materialInStore',
				name: 'materialInStore',
				component: materialInStore
			},
			{
				path: 'materialOutStore',
				name: 'materialOutStore',
				component: materialOutStore
			},
			{
				path: 'storeList',
				name: 'storeList',
				component: storeList
			},
			/* 育种管理 */
			{
				path: 'gradeAssess',
				name: 'gradeAssess',
				component: gradeAssess
			},
			{
				path: 'virtualMating',
				name: 'virtualMating',
				component: virtualMating
			},
			{
				path: 'clan',
				name: 'clan',
				component: clan
			},
			/* 设备管理 */
			{
				path: 'environmentMonitoring',
				name: 'environmentMonitoring',
				component: environmentMonitoring
			},
			{
				path: 'video',
				name: 'video',
				component: video
			},
			{
				path: 'deviceFault',
				name: 'deviceFault',
				component: deviceFault
			},
			/* 销售管理 */
			{
				path: 'sellLog',
				name: 'sellLog',
				component: sellLog
			},
			/* 统计分析 */
			{
				path: 'existSstatistic',
				name: 'existSstatistic',
				component: existSstatistic
			},
			{
				path: 'productData',
				name: 'productData',
				component: productData
			}
		]
	},
]
